#
# spec file for package kvkbd
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kvkbd
Version:        0.7.2
Release:        3.3
Summary:        Virtual keyboard for KDE
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://kde-apps.org/content/show.php/Kvkbd?content=56019
Source0:        http://kde-apps.org/CONTENT/content-files/56019-%{name}-%{version}.tar.gz
BuildRequires:  libkde4-devel
BuildRequires:  libxslt-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Kvkbd is a virtual keyboard for KDE, it contains many features like system tray
and dock support, autodetection and on the fly change of the keyboard layout,
scripting with DBus, etc.

%prep
%setup -q

%build
%cmake_kde4 -d build
%make_jobs

%install
%kde4_makeinstall -C build
%kde_post_install

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE TODO
%{_kde4_bindir}/kvkbd
%{_kde4_applicationsdir}/kvkbd.desktop
%{_kde4_appsdir}/kvkbd
%doc %lang(en) %{_kde4_docdir}/HTML/en/kvkbd

%changelog
* Thu Aug  7 2014 asterios.dramis@gmail.com
- Update to version 0.7.2:
  * Add option to make modifier keys sticky.
* Sat May  3 2014 asterios.dramis@gmail.com
- Update to version 0.7.1:
  [#] Continuation of kvkbd-kde4 package.
  * Fix css install location. Login helper option is restored.
  From version 0.7.0:
  * Implemented themes and color styles. Dynamic detection of language was lost
    during porting to KDE4 and now restored. --loginhelper is incomplete.
- Removed the following patches (fixed upstream):
  * fix-loginhelper.diff
  * kvkbd-link-x11.patch
* Thu Aug 25 2011 idonmez@novell.com
- Add kvkbd-link-x11.patch: explicitly link to X11 library
* Fri Aug 12 2011 andrea.turrini@gmail.com
- fixed typo in kvkbd.spec
* Fri Jan 29 2010 llunak@novell.com
- adjust requirements and filelist
* Mon Jun 29 2009 llunak@novell.com
- Initial version 0.6
